#!/bin/sh

link_dirs () {
   cwd=$PWD
   if [ ! -d $1 ]; then
      mkdir $1
   fi
   cd $1
   for file in $2/$1/* ; do
      ln -s $file
   done
   cd $cwd
}

link_recursive () {
   cwd=$PWD
   if [ ! -d $1 ]; then
      mkdir $1
   fi
   cd $1/$2/$1
   for dir in * ; do
      if [ -d $dir ]; then
	 (cd $cwd; mkdir $cwd/$1/$dir ; link_dirs $1/$dir ../$2)
      fi
   done
   cd $cwd
}

link_dirs lib/libc/include /usr/src
link_dirs lib/libc/include ../../../../NetBSD
link_dirs lib/libc/string /usr/src
link_dirs lib/libc/string ../../../../NetBSD

link_dirs lib/libc/locale ../../../../NetBSD
link_dirs lib/libc/citrus/modules ../../../../../NetBSD
link_dirs lib/libc/citrus ../../../../NetBSD
link_dirs lib/libc/stdlib /usr/src
link_dirs lib/libc/iconv ../../../../NetBSD
link_dirs lib/libc /usr/src

link_dirs usr.bin/mklocale ../../../NetBSD
link_dirs share/locale/ctype ../../../../NetBSD

link_recursive lib/i18n_module ../../../NetBSD
link_dirs lib/i18n_module ../../../NetBSD

ln -s sys/errno.h include/errno.h
ln -s ../sys/arch/i386/include include/i386
ln -s i386 include/machine
ln -s ../sys/sys include/sys
ln -s ../../NetBSD/include/iconv.h include/iconv.h
ln -s ../../NetBSD/include/wctype.h include/wctype.h
